Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_deallocation.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_deallocation.cpp	(revision 77)
@@ -0,0 +1,95 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::deallocation"
+  void Read_unit_to_Execution_unit::deallocation (void)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+
+    if (_usage & USE_SYSTEMC)
+      {
+	delete    in_CLOCK ;
+	delete    in_NRESET;
+
+	// ~~~~~[ Interface "read_unit_out" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+	delete [] in_READ_UNIT_OUT_VAL                  ;
+	delete []out_READ_UNIT_OUT_ACK                  ;
+	if (_param->_have_port_context_id)
+	delete [] in_READ_UNIT_OUT_CONTEXT_ID           ;
+	if (_param->_have_port_front_end_id)
+	delete [] in_READ_UNIT_OUT_FRONT_END_ID         ;
+	if (_param->_have_port_ooo_engine_id)
+	delete [] in_READ_UNIT_OUT_OOO_ENGINE_ID        ;
+	if (_param->_have_port_packet_id)
+	delete [] in_READ_UNIT_OUT_PACKET_ID            ;
+	delete [] in_READ_UNIT_OUT_OPERATION            ;
+	delete [] in_READ_UNIT_OUT_TYPE                 ;
+	delete [] in_READ_UNIT_OUT_STORE_QUEUE_PTR_WRITE;
+	delete [] in_READ_UNIT_OUT_LOAD_QUEUE_PTR_WRITE ;
+	delete [] in_READ_UNIT_OUT_HAS_IMMEDIAT         ;
+	delete [] in_READ_UNIT_OUT_IMMEDIAT             ;
+	delete [] in_READ_UNIT_OUT_DATA_RA              ;
+	delete [] in_READ_UNIT_OUT_DATA_RB              ;
+	delete [] in_READ_UNIT_OUT_DATA_RC              ;
+	delete [] in_READ_UNIT_OUT_WRITE_RD             ;
+	delete [] in_READ_UNIT_OUT_NUM_REG_RD           ;
+	delete [] in_READ_UNIT_OUT_WRITE_RE             ;
+	delete [] in_READ_UNIT_OUT_NUM_REG_RE           ;
+
+	// ~~~~~[ Interface "execute_unit_in" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+	delete [] out_EXECUTE_UNIT_IN_VAL                  ;
+	delete []  in_EXECUTE_UNIT_IN_ACK                  ;
+	if (_param->_have_port_context_id)
+	delete [] out_EXECUTE_UNIT_IN_CONTEXT_ID           ;
+	if (_param->_have_port_front_end_id)
+	delete [] out_EXECUTE_UNIT_IN_FRONT_END_ID         ;
+	if (_param->_have_port_ooo_engine_id)
+	delete [] out_EXECUTE_UNIT_IN_OOO_ENGINE_ID        ;
+	if (_param->_have_port_packet_id)
+	delete [] out_EXECUTE_UNIT_IN_PACKET_ID            ;
+	delete [] out_EXECUTE_UNIT_IN_OPERATION            ;
+	delete [] out_EXECUTE_UNIT_IN_TYPE                 ;
+	delete [] out_EXECUTE_UNIT_IN_STORE_QUEUE_PTR_WRITE;
+	delete [] out_EXECUTE_UNIT_IN_LOAD_QUEUE_PTR_WRITE ;
+	delete [] out_EXECUTE_UNIT_IN_HAS_IMMEDIAT         ;
+	delete [] out_EXECUTE_UNIT_IN_IMMEDIAT             ;
+	delete [] out_EXECUTE_UNIT_IN_DATA_RA              ;
+	delete [] out_EXECUTE_UNIT_IN_DATA_RB              ;
+	delete [] out_EXECUTE_UNIT_IN_DATA_RC              ;
+	delete [] out_EXECUTE_UNIT_IN_WRITE_RD             ;
+	delete [] out_EXECUTE_UNIT_IN_NUM_REG_RD           ;
+	delete [] out_EXECUTE_UNIT_IN_WRITE_RE             ;
+	delete [] out_EXECUTE_UNIT_IN_NUM_REG_RE           ;
+      }
+    // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+
+    delete [] _destination;
+    delete    _component;
+
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_end_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_end_cycle.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_end_cycle.cpp	(revision 77)
@@ -0,0 +1,47 @@
+#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::end_cycle"
+void Read_unit_to_Execution_unit::end_cycle ()
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+
+#ifdef STATISTICS
+    _stat->end_cycle();
+#endif    
+
+#ifdef VHDL_TESTBENCH
+    // Evaluation before read the ouput signal
+//  sc_start(0);
+    _interfaces->testbench();
+#endif
+
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_genMealy.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_genMealy.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_genMealy.cpp	(revision 77)
@@ -0,0 +1,113 @@
+#ifdef SYSTEMC
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::genMealy"
+  void Read_unit_to_Execution_unit::genMealy (void)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+
+    bool execute_unit_use [_param->_nb_execute_unit];
+
+    for (uint32_t i=0; i<_param->_nb_execute_unit; i++)
+      execute_unit_use[i] = (PORT_READ(in_EXECUTE_UNIT_IN_ACK [i]) == 0);
+
+    for (uint32_t i=0; i<_param->_nb_read_unit; i++)
+      {
+	bool       ack = false;
+
+	log_printf(TRACE,Read_unit_to_Execution_unit,FUNCTION,"Test Read_unit[%d]",i);
+
+	if (PORT_READ(in_READ_UNIT_OUT_VAL [i]) == true)
+	  {
+	    log_printf(TRACE,Read_unit_to_Execution_unit,FUNCTION," * have a valid entry.");
+	    
+	    Tcontext_t context_id    = (_param->_have_port_context_id   )?PORT_READ(in_READ_UNIT_OUT_CONTEXT_ID    [i]):0;
+	    Tcontext_t front_end_id  = (_param->_have_port_front_end_id )?PORT_READ(in_READ_UNIT_OUT_FRONT_END_ID  [i]):0;
+	    Tcontext_t ooo_engine_id = (_param->_have_port_ooo_engine_id)?PORT_READ(in_READ_UNIT_OUT_OOO_ENGINE_ID [i]):0;
+	    Tcontext_t num_thread    = get_num_thread(context_id   , _param->_size_context_id   ,
+						      front_end_id , _param->_size_front_end_id ,
+						      ooo_engine_id, _param->_size_ooo_engine_id);
+	    Ttype_t    type          = PORT_READ(in_READ_UNIT_OUT_TYPE [i]);
+	    
+#ifdef DEBUG_TEST
+	    if (_destination[i][num_thread][type].empty())
+	      throw ERRORMORPHEO(FUNCTION,"Invalid Operation : They have no execute_unit to receive a operation from the read_unit ["+toString(i)+"], thread ["+toString(num_thread)+"] and a operation's type ["+toString_type(type)+"].");
+#endif
+
+	    // find a free execute_unit
+	    for (std::list<uint32_t>::iterator it=_destination[i][num_thread][type].begin();
+		 (it != _destination[i][num_thread][type].end()) and (ack == false);
+		 it++)
+	      {
+		uint32_t dest = *it;
+
+		log_printf(TRACE,Read_unit_to_Execution_unit,FUNCTION,"   * Test destination [%d].",dest);
+			    
+		if (execute_unit_use [dest] == false)
+		  {
+		    log_printf(TRACE,Read_unit_to_Execution_unit,FUNCTION,"     * Is ok! Link.");
+		    // have find !!!
+		    ack                     = true;
+		    execute_unit_use [dest] = true;
+
+		    if (_param->_have_port_context_id)
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_CONTEXT_ID            [dest], PORT_READ(in_READ_UNIT_OUT_CONTEXT_ID            [i]));
+		    if (_param->_have_port_front_end_id)
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_FRONT_END_ID          [dest], PORT_READ(in_READ_UNIT_OUT_FRONT_END_ID          [i]));
+		    if (_param->_have_port_ooo_engine_id)
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_OOO_ENGINE_ID         [dest], PORT_READ(in_READ_UNIT_OUT_OOO_ENGINE_ID         [i]));
+		    if (_param->_have_port_packet_id)
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_PACKET_ID             [dest], PORT_READ(in_READ_UNIT_OUT_PACKET_ID             [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_OPERATION             [dest], PORT_READ(in_READ_UNIT_OUT_OPERATION             [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_TYPE                  [dest], PORT_READ(in_READ_UNIT_OUT_TYPE                  [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_STORE_QUEUE_PTR_WRITE [dest], PORT_READ(in_READ_UNIT_OUT_STORE_QUEUE_PTR_WRITE [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_LOAD_QUEUE_PTR_WRITE  [dest], PORT_READ(in_READ_UNIT_OUT_LOAD_QUEUE_PTR_WRITE  [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_HAS_IMMEDIAT          [dest], PORT_READ(in_READ_UNIT_OUT_HAS_IMMEDIAT          [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_IMMEDIAT              [dest], PORT_READ(in_READ_UNIT_OUT_IMMEDIAT              [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_DATA_RA               [dest], PORT_READ(in_READ_UNIT_OUT_DATA_RA               [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_DATA_RB               [dest], PORT_READ(in_READ_UNIT_OUT_DATA_RB               [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_DATA_RC               [dest], PORT_READ(in_READ_UNIT_OUT_DATA_RC               [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_WRITE_RD              [dest], PORT_READ(in_READ_UNIT_OUT_WRITE_RD              [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_NUM_REG_RD            [dest], PORT_READ(in_READ_UNIT_OUT_NUM_REG_RD            [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_WRITE_RE              [dest], PORT_READ(in_READ_UNIT_OUT_WRITE_RE              [i]));
+		    PORT_WRITE(out_EXECUTE_UNIT_IN_NUM_REG_RE            [dest], PORT_READ(in_READ_UNIT_OUT_NUM_REG_RE            [i]));
+		  }
+	      }
+	  }
+	PORT_WRITE(out_READ_UNIT_OUT_ACK [i], ack);
+      }
+
+    for (uint32_t i=0; i<_param->_nb_execute_unit; i++)
+      {
+	PORT_WRITE(out_EXECUTE_UNIT_IN_VAL[i], execute_unit_use[i]);  
+      }
+
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_statistics_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_statistics_declaration.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_statistics_declaration.cpp	(revision 77)
@@ -0,0 +1,41 @@
+#ifdef STATISTICS
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::statistics_declaration"
+  void Read_unit_to_Execution_unit::statistics_declaration (morpheo::behavioural::Parameters_Statistics * param_statistics)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+
+    _stat = new Stat (static_cast<std::string>(_name),
+		      "Read_unit_to_Execution_unit",
+		      param_statistics);
+    
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_transition.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_transition.cpp	(revision 77)
@@ -0,0 +1,90 @@
+#ifdef SYSTEMC
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::transition"
+  void Read_unit_to_Execution_unit::transition (void)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+
+    if (PORT_READ(in_NRESET) == 0)
+      {
+	// Flush routing_table
+	for (uint32_t i=0; i<_param->_nb_read_unit; i++)
+	  for (uint32_t j=0; j<_param->_nb_thread; j++)
+	    for (uint32_t k=0; k<_param->_nb_type; k++)
+	      _destination [i][j][k].clear();
+	
+	// Fill routing table
+	for (uint32_t i=0; i<_param->_nb_read_unit; i++)
+	  for (uint32_t j=0; j<_param->_nb_execute_unit; j++)
+	    // Test if link between src and dest
+	    if (_param->_table_routing [i][j])
+	      // Test the thread accepted by the execute_unit
+	      for (uint32_t k=0; k<_param->_nb_thread; k++)
+		if (_param->_table_execute_thread[j][k])
+		  // Test the type accepted by the execute_unit
+		  for (uint32_t l=0; l<_param->_nb_type; l++)
+		    if (_param->_table_execute_type [j][l])
+		      // push_back == minor have a better priority
+		      _destination [i][k][l].push_back(j);
+      }
+    else
+      {
+	if (_param->_priority == PRIORITY_ROUND_ROBIN)
+	  for (uint32_t i=0; i<_param->_nb_read_unit; i++)
+	    for (uint32_t j=0; j<_param->_nb_thread; j++)
+	      for (uint32_t k=0; k<_param->_nb_type; k++)
+		if (_destination [i][j][k].size() > 1)
+		  {
+		    // Head queue became the Tail queue
+		    _destination [i][j][k].push_back(_destination [i][j][k].front());
+		    _destination [i][j][k].pop_front();
+		  }
+      }
+
+
+#if (DEBUG >= DEBUG_TRACE)
+//     // Print
+//     log_printf(TRACE,Read_unit_to_Execution_unit,FUNCTION,"Routing Table");
+//     for (uint32_t i=0; i<_param->_nb_read_unit; i++)
+//       for (uint32_t j=0; j<_param->_nb_thread; j++)
+// 	for (uint32_t k=0; k<_param->_nb_type; k++)
+// 	  for (std::list<uint32_t>::iterator l=_destination[i][j][k].begin();
+// 	       l != _destination[i][j][k].end();
+// 	       l++)
+// 	    log_printf(TRACE,Read_unit_to_Execution_unit,FUNCTION,"  * Read_unit [%d], send at the execution_unit [%d], the operation of thread [%d] with the type [%s].",i,*l,j,toString_type(k).c_str());
+#endif
+
+#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
+    end_cycle ();
+#endif
+
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl.cpp	(revision 77)
@@ -0,0 +1,50 @@
+#ifdef VHDL
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+#include "Behavioural/include/Vhdl.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::vhdl"
+  void Read_unit_to_Execution_unit::vhdl (void)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+
+    Vhdl * vhdl = new Vhdl (_name);
+
+    _interfaces->set_port(vhdl);
+    _component->vhdl_instance(vhdl);
+
+    vhdl_declaration (vhdl);
+    vhdl_body        (vhdl);
+
+    vhdl->generate_file();
+
+    delete vhdl;
+
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl_body.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl_body.cpp	(revision 77)
@@ -0,0 +1,37 @@
+#ifdef VHDL
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo                    {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::vhdl_body"
+  void Read_unit_to_Execution_unit::vhdl_body (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+    vhdl->set_body ("");
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl_declaration.cpp	(revision 77)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/src/Read_unit_to_Execution_unit_vhdl_declaration.cpp	(revision 77)
@@ -0,0 +1,36 @@
+#ifdef VHDL
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Read_unit_to_Execution_unit.h"
+
+namespace morpheo {
+namespace behavioural {
+namespace core {
+namespace multi_execute_loop {
+namespace execute_loop {
+namespace network {
+namespace read_unit_to_execution_unit {
+
+
+#undef  FUNCTION
+#define FUNCTION "Read_unit_to_Execution_unit::vhdl_declaration"
+  void Read_unit_to_Execution_unit::vhdl_declaration (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"Begin");
+    log_printf(FUNC,Read_unit_to_Execution_unit,FUNCTION,"End");
+  };
+
+}; // end namespace read_unit_to_execution_unit
+}; // end namespace network
+}; // end namespace execute_loop
+}; // end namespace multi_execute_loop
+}; // end namespace core
+
+}; // end namespace behavioural
+}; // end namespace morpheo              
+#endif
